package com.yuchen.saas.integration.hik.isc.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.nest.springwrap.core.tenant.mp.TenantEntity;

/**
 * <p>
 * 监控区域
 * </p>
 *
 * @author linyb
 * @since 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("pmg_bat_camera_device_area")
@ApiModel(value="PmgBatCameraDeviceArea对象", description="监控区域")
public class PmgBatCameraDeviceArea extends TenantEntity {

    /**
     * 区域标识
     */
    @ApiModelProperty(name = "cameraAreaCode", value = "区域标识")
    private String cameraAreaCode;
    /**
     * 区域名称
     */
    @ApiModelProperty(name = "cameraAreaName", value = "区域名称")
    private String cameraAreaName;
    /**
     * 区域类型 1:重点区域；2：其他区域"
     */
    @ApiModelProperty(name = "cameraAreaType", value = "区域类型 1:重点区域；2：其他区域\"")
    private Integer cameraAreaType;
    /**
     * 空间id
     */
    @ApiModelProperty(name = "spaceId", value = "空间id")
    private Long spaceId;
    /**
     * 项目id
     */
    @ApiModelProperty(name = "parkId", value = "项目id")
    private Long parkId;


    /**
     * 备注
     */
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;

    /**
     * 空间名称
     */
    @ApiModelProperty(name = "spaceName", value = "空间名称")
    private String spaceName;
    /**
     * 客户id
     */
    @ApiModelProperty(name = "customerId", value = "客户id")
    private Long customerId;

    public String getCameraAreaCode() {
        return cameraAreaCode;
    }

    public void setCameraAreaCode(String cameraAreaCode) {
        this.cameraAreaCode = cameraAreaCode;
    }

    public String getCameraAreaName() {
        return cameraAreaName;
    }

    public void setCameraAreaName(String cameraAreaName) {
        this.cameraAreaName = cameraAreaName;
    }

    public Integer getCameraAreaType() {
        return cameraAreaType;
    }

    public void setCameraAreaType(Integer cameraAreaType) {
        this.cameraAreaType = cameraAreaType;
    }

    public Long getSpaceId() {
        return spaceId;
    }

    public void setSpaceId(Long spaceId) {
        this.spaceId = spaceId;
    }

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }
}
